Installer shows error message "Error: Microsoft .NET Framework 2.0 is required before installing Symantec Mail Security for Microsoft Exchange" and installation does not complete

Article:TECH131229  |  Created: 2010-01-25  |  Updated: 2013-10-25  |  Article URL http://www.symantec.com/docs/TECH131229
NOTE: If you are experiencing this particular known issue, we recommend that you Subscribe to receive email notification each time this article is updated. Subscribers will be the first to learn about any releases, status changes, workarounds or decisions made.
Article Type
Technical Solution


Issue



While running the installer the following error message is displayed and the installation does not complete:

Error: Microsoft .NET Framework 2.0 is required before installing Symantec Mail Security for Microsoft Exchange

Conditions 

  • Symantec Mail Security for Microsoft Exchange (SMSMSE) installation debug log contains the following messages:
  • Path listed in error message appears in ASP.NET registry entries.
    1. Open regedit.
    2. Open the registry folder HKEY_LOCAL_MACHINE\software\Microsoft\ASP.NET.
    3. There is a key or folder with the value of the .NET version listed in the error message. For example, in the error message above the file system path is "C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727.3082 (QFE". The value of the .NET version is  "2.0.50727.3082 (QFE". In In this case there would be a registry folder "HKEY_LOCAL_MACHINE\software\Microsoft\ASP.NET\2.0.50727.3082 (QFE". If this registry key exists then the condition is met.

 


Cause



SMSMSE is unable to locate the dll fusion.dll in the highest .NET framework installed.  This typically happens when .NET framework items are installed that do not contain the full .NET releases.


Solution



Symantec is aware of this issue.  This article is updated as more information is available.  Subscribe to this article to receive updates.

Workaround

Backup and delete the registry entries affecting SMSMSE. Install SMSMSE. Then restore the registry entries back to the original ones.


Warning: In the next steps you will edit the Windows registry. Back up the registry before you make any changes to it, because incorrect changes to the registry can result in permanent data loss or corrupted files. Modify only the registry keys that are specified. For instructions, see How to back up the Windows registry.

1. On the Windows taskbar, click Start > Run.
2. In the Open box, type the following text:

regedit

3. Click OK.
4. In the Registry Editor go to the folder HKEY_LOCAL_MACHINE\software\Microsoft\ASP.NET.
5. Find the registry entry listed in the installer log.  In the example above it is  "2.0.50727.3082 (QFE".
6. Backup and delete the entry.
7. Run the SMSMSE installer again.
8. Restore the deleted registry back.

NOTE: It may be necessary to delete more than one registry entry.

Technical Information

Reading the SMSMSE installation log entries:

      dotNetFxVersionInstalled
      using dot net framework directory from existing MSI Property
      C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727.3082 (QFE
      Failed .NET framework 2.0 requirement is not met on the target system

The first message says the installer found that .NET is installed already. The second message says that the installer is using the .NET version information from the registry under HKEY_LOCAL_MACHINE\software\Microsoft\ASP.NET. The third message is a printout of the path constructed from the data in the registry. The installer then takes this path and attempts to find the binaries on the file system. The fourth message says that the binaries could not be validated.


 


Supplemental Materials

SourceETrack
Value 2756781

Legacy ID



2010032509090554


Article URL http://www.symantec.com/docs/TECH131229


Terms of use for this information are found in Legal Notices